org.modeshape.jcr.query.process

## Class DelegatingComponent

- java.lang.Object
- - org.modeshape.jcr.query.process.ProcessingComponent
  - - org.modeshape.jcr.query.process.DelegatingComponent

- Direct Known Subclasses:
    DistinctComponent, DistinctOfSortedComponent, LimitComponent, ProjectComponent, SelectComponent, SortLocationsComponent, SortValuesComponent

      public abstract class DelegatingComponent
      extends ProcessingComponent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.modeshape.jcr.query.process.ProcessingComponent

      `ProcessingComponent.DynamicOperation`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DelegatingComponent(ProcessingComponent delegate)`
    `protected` | `DelegatingComponent(ProcessingComponent delegate, QueryResults.Columns overridingColumns)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close these results, allowing any resources to be released.
    `protected ProcessingComponent` | `delegate()` Get the delegate processor.

    - ### Methods inherited from class org.modeshape.jcr.query.process.ProcessingComponent

      `createDynamicOperation, createSortComparator, emptyTuples, execute, getColumns, getContext, getLocationIndexes, problems`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DelegatingComponent

          protected DelegatingComponent(ProcessingComponent delegate)

    - #### DelegatingComponent

          protected DelegatingComponent(ProcessingComponent delegate,
                             QueryResults.Columns overridingColumns)

  - ### Method Detail

    - #### delegate

          protected final ProcessingComponent delegate()

      Get the delegate processor.
      Returns:
        the delegate processor

    - #### close

          public void close()

      Description copied from class: `ProcessingComponent`
      Close these results, allowing any resources to be released.
      Overrides:
        `close` in class `ProcessingComponent`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.